Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	version control system
Name:      	git
Version:   	1.5.3.7
Release:   	1
Provides:	git
License: 	GNU/GPL
URL:		http://git.or.cz/
Group:     	Development/Other
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires:	git-core
BuildRequires:	glibc-devel
BuildRequires:  perl
BuildRequires:  curl-devel
BuildRequires:  expat-devel
BuildRequires:  openssh
BuildRequires:  openssl-devel
BuildRequires:  zlib
BuildRequires:  xmlto
BuildRequires:  rsync
BuildRequires:  rcs
BuildRequires:  bash
BuildRequires:  asciidoc

%description
Git is popular version control system designed to handle very large projects with speed and efficiency; it is used mainly for various open source projects, most notably the Linux kernel.
Git falls in the category of distributed source code management tools, similar to e.g. GNU Arch or Monotone (or BitKeeper in the proprietary world). Every Git working directory is a full-fledged repository with full revision tracking capabilities, not dependent on network access or a central server.

%package core
Summary:        Core git tools
Group:          Development/Tools
Requires:       zlib >= 1.2, rsync, rcs, curl, less, openssh-clients, python >= 2.3, expat
Obsoletes:      git <= 1.4.4.1
%description core
Git is popular version control system designed to handle very large projects with speed and efficiency; it is used mainly for various open source projects, most notably the Linux kernel.
Git falls in the category of distributed source code management tools, similar to e.g. GNU Arch or Monotone (or BitKeeper in the proprietary world). Every Git working directory is a full-fledged repository with full revision tracking capabilities, not dependent on network access or a central server.

These are the core tools with minimal dependencies.

%package svn
Summary:        Git tools for importing Subversion repositories
Group:          Development/Tools
Requires:       git-core = %{version}-%{release}, subversion
%description svn
Git tools for importing Subversion repositories.

%package cvs
Summary:        Git tools for importing CVS repositories
Group:          Development/Tools
Requires:       git-core = %{version}-%{release}, cvs
%description cvs
Git tools for importing CVS repositories.

%package arch
Summary:        Git tools for importing Arch repositories
Group:          Development/Tools
Requires:       git-core = %{version}-%{release}, tla
%description arch
Git tools for importing Arch repositories.

%package email
Summary:        Git tools for sending email
Group:          Development/Tools
Requires:       git-core = %{version}-%{release}
%description email
Git tools for sending email.

%package gui
Summary:        A portable graphical interface to Git
Group:          Development/Tools
Requires:       git-core = %{version}-%{release}, tk >= 8.4
%description gui
A portable graphical interface to Git

%package -n gitk
Summary:        Git revision tree visualiser ('gitk')
Group:          Development/Tools
Requires:       git-core = %{version}-%{release}, tk >= 8.4
%description -n gitk
Git revision tree visualiser (gitk)

%package -n perl-Git
Summary:        Perl interface to Git
Group:          Development/Libraries
Provides:	perl(Git)
Requires:       git-core = %{version}-%{release}
BuildRequires:  perl(Error)

%description -n perl-Git
Perl interface to Git

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
make configure
./configure 	--prefix=%_prefix \
		--mandir=%_mandir
make all doc

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT WITH_OWN_SUBPROCESS_PY=YesPlease install install-doc
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -empty -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name perllocal.pod -exec rm -f {} ';'

(find $RPM_BUILD_ROOT%{_bindir} -type f | grep -vE "archimport|svn|cvs|email|gitk" | sed -e s@^$RPM_BUILD_ROOT@@)               > bin-man-doc-files
(find $RPM_BUILD_ROOT%{perl_vendorlib} -type f | sed -e s@^$RPM_BUILD_ROOT@@) >> perl-files
%if %{!?_without_docs:1}0
(find $RPM_BUILD_ROOT%{_mandir} $RPM_BUILD_ROOT/Documentation -type f | grep -vE "archimport|svn|git-cvs|email|gitk" | sed -e s@^$RPM_BUILD_ROOT@@ -e 's/$/*/' ) >> bin-man-doc-files
%else
rm -rf $RPM_BUILD_ROOT%{_mandir}
%endif

%files svn
%defattr(-,root,root)
%{_bindir}/*svn*
%doc Documentation/*svn*.txt
%{_mandir}/man1/*svn*.1*
%doc Documentation/*svn*.html 

%files cvs
%defattr(-,root,root)
%doc Documentation/*git-cvs*.txt
%{_bindir}/*cvs*
%{_mandir}/man1/*cvs*.1*
%doc Documentation/*git-cvs*.html

%files arch
%defattr(-,root,root)
%doc Documentation/git-archimport.txt
%{_bindir}/git-archimport
%{_mandir}/man1/git-archimport.1*
%doc Documentation/git-archimport.html

%files email
%defattr(-,root,root)
%doc Documentation/*email*.txt
%{_bindir}/*email*
%{_mandir}/man1/*email*.1*
%doc Documentation/*email*.html

%files gui
%defattr(-,root,root)
%doc Documentation/*gui*.txt
%{_bindir}/git-gui
%{_mandir}/man1/*gui*.1*
%{_datadir}/git-gui/*
%doc Documentation/*gui*.html

%files -n gitk
%defattr(-,root,root)
%doc Documentation/*gitk*.txt
%{_bindir}/*gitk*
%{_mandir}/man1/*gitk*.1*
%doc Documentation/*gitk*.html

%files -n perl-Git
%defattr(-,root,root)
/usr/lib/perl5/site_perl/5*/Git.pm

%files core -f bin-man-doc-files
%defattr(-,root,root)
%{_datadir}/git-core/
%doc README COPYING Documentation/*.txt
%doc Documentation/*.html

%files 
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jan 01 2008 Stefan Gottwald <gotti@ccux-linux.de> 1.5.3.7-1
- Version Update
* Wed Oct 31 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.5.3.4-2
- rebuilt against curl 7.17.1
* Sun Oct 14 2007 Simon Schmeisser <wrt@ccux-linux.de> 1.5.3.4-1
- Version update
* Wed Jun 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.5.2.1-1
- Version update
* Wed Dec 06 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.4.4.1-1
- Initial Release
